Skip to main content
POST
/
assignmentprogram
/
delete
Deletes assignment preference
curl --request POST \
  --url https://futures.kraken.com/derivatives/api/v3/assignmentprogram/delete \
  --header 'APIKey: <api-key>' \
  --header 'Authent: <api-key>'
{
  "id": 123,
  "participant": {
    "contractType": "flex",
    "contract": "PF_BTCUSD",
    "maxPosition": 10,
    "maxSize": 10,
    "acceptLong": true,
    "acceptShort": true,
    "timeFrame": "weekdays",
    "enabled": true
  },
  "result": "success",
  "serverTime": "2020-08-27T17:03:33.196Z"
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

APIKey
string
header
required

General API key with at least read-only access

Authent
string
header
required

Authentication string

Query Parameters

id
number
required

Id of program to delete

Response

200 - application/json
id
number
required
participant
object
required
Example:
{
"contractType": "flex",
"contract": "PF_BTCUSD",
"maxPosition": 10,
"maxSize": 10,
"acceptLong": true,
"acceptShort": true,
"timeFrame": "weekdays",
"enabled": true
}
result
enum<string>
required
Available options:
success
Example:

"success"

serverTime
string<date-time>
required

Server time in Coordinated Universal Time (UTC)

Example:

"2020-08-27T17:03:33.196Z"